# Migration play
# vim:et ts=2 sw=2 sts=2 syntax=yaml filetype=yaml
# - Enable strict HTTP mode (unknown directives are fatal)
# - Add SCL, argon2 support
# - Correct improperly set FLARE URL
---
- block:
  - name: Check if strict mode enabled in Apache
    command: "{{ apnscp_root }}/bin/cmd scope:get apache.strict-directives"
    register: r
    changed_when: false
  - name: Enable strict mode in Apache
    command: "{{ apnscp_root }}/bin/cmd scope:set apache.strict-directives true"
    changed_when: -1 == r.stdout.find("1")
  - name: Add packages
    yum: name=scl-utils,libargon2,libargon2-devel state=latest update_cache=yes
  - name: Install scl-utils, libargon2 under siteinfo
    include_role:
      name: apnscp/initialize-filesystem-template
      tasks_from: "install-package.yml"
    vars:
      package:
        - libargon2
        - scl-utils
      service: siteinfo
  - name: Install libargon2-devel under ssh
    include_role:
      name: apnscp/initialize-filesystem-template
      tasks_from: "install-package.yml"
    vars:
      package: libargon2-devel
      service: ssh
  - name: Remove bad APNSCP_FLARE_URL
    ini_file:
      path: /etc/sysconfig/apnscp
      no_extra_spaces: yes
      section: null
      option: APNSCP_FLARE_URL
      value: "None"
      state: absent
  tags: up
